Bug 1412244 - pcs does not currently work with systemd's instantiated services
Summary: pcs does not currently work with systemd's instantiated services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1408476
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 15:35 UTC by Jaroslav Reznik
Modified: 2017-01-30 15:56 UTC (History)
9 users (show)

Fixed In Version: pcs-0.9.152-10.el7_3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1408476
Environment:
Last Closed: 2017-01-30 15:56:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (1.08 KB, patch)
2017-01-16 14:37 UTC, Ivan Devat
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0210 normal SHIPPED_LIVE pcs bug fix update 2017-01-30 20:56:18 UTC

Description Jaroslav Reznik 2017-01-11 15:35:31 UTC
This bug has been copied from bug #1408476 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Ivan Devat 2017-01-16 14:37:22 UTC
Created attachment 1241253 [details]
proposed fix

Comment 4 Ivan Devat 2017-01-16 14:45:36 UTC
Before Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-10.el7.x86_64

[vm-rhel72-1 ~] $ pcs resource create gettytest systemd:getty@tty3
Error: Unable to create resource 'systemd:getty@tty3', it is not installed on this system (use --force to override)


After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-10.el7_3.1.x86_64

[vm-rhel72-1 ~] $ pcs resource create gettytest systemd:getty@tty3
[vm-rhel72-1 ~] $ pcs status
Cluster name: devcluster
Stack: corosync
Current DC: vm-rhel72-3 (version 1.1.15-8.el7-e174ec8) - partition with quorum
Last updated: Fri Jan  6 12:33:07 2017          Last change: Fri Jan  6 12:32:40 2017 by root via cibadmin on vm-rhel72-1

2 nodes and 2 resources configured

Online: [ vm-rhel72-1 vm-rhel72-3 ]

Full list of resources:

 xvm-fencing    (stonith:fence_xvm):    Started vm-rhel72-1
 gettytest      (systemd:getty@tty3):   Started vm-rhel72-3

Daemon Status:
  corosync: active/disabled
  pacemaker: active/disabled
  pcsd: active/enabled

Comment 8 errata-xmlrpc 2017-01-30 15:56:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0210.html


Note You need to log in before you can comment on or make changes to this bug.